--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 10.1
--  \   \         Application : sch2vhdl
--  /   /         Filename : main.vhf
-- /___/   /\     Timestamp : 03/22/2009 08:56:56
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx\10.1\ISE\bin\nt\unwrapped\sch2vhdl.exe -intstyle ise -family xc9500xl -flat -suppress -w C:/Xilinx/chProjects/chPollinRS232StateMachine/main.sch main.vhf
--Design Name: main
--Device: xc9500xl
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity main is
   port ( ADCorDIGITALin  : in    std_logic_vector (7 downto 0); 
          RxD             : in    std_logic; 
          SysClk          : in    std_logic; 
          CharReceived    : out   std_logic; 
          ramAddress      : out   std_logic_vector (16 downto 0); 
          ramNOE          : out   std_logic; 
          ramNWE          : out   std_logic; 
          StatusLED       : out   std_logic; 
          testLEDs        : out   std_logic_vector (7 downto 0); 
          TransmitterBusy : out   std_logic; 
          TxD             : out   std_logic; 
          ramIOdata       : inout std_logic_vector (7 downto 0));
end main;

architecture BEHAVIORAL of main is
   attribute BOX_TYPE   : string ;
   signal key             : std_logic;
   signal RWram           : std_logic;
   signal XLXN_15         : std_logic;
   signal XLXN_25         : std_logic_vector (7 downto 0);
   signal XLXN_36         : std_logic;
   signal xx              : std_logic_vector (7 downto 0);
   component RS232_Interface
      port ( clk            : in    std_logic; 
             rs232_rxd      : in    std_logic; 
             rs232_tra_en   : in    std_logic; 
             rs232_dat_in   : in    std_logic_vector (7 downto 0); 
             rs232_txd      : out   std_logic; 
             rs232_rec_en   : out   std_logic; 
             rs232_txd_busy : out   std_logic; 
             rs232_dat_out  : out   std_logic_vector (7 downto 0));
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component RamInterface
      port ( clk           : in    std_logic; 
             clkNextValue  : in    std_logic; 
             ReadOrNSample : in    std_logic; 
             Reset         : in    std_logic; 
             dataIn        : in    std_logic_vector (7 downto 0); 
             ramData       : inout std_logic_vector (7 downto 0); 
             ramNWE        : out   std_logic; 
             ramNOE        : out   std_logic; 
             ramAddress    : out   std_logic_vector (16 downto 0); 
             dataOut       : out   std_logic_vector (7 downto 0));
   end component;
   
   component stateMachine
      port ( clk             : in    std_logic; 
             RxData          : in    std_logic_vector (7 downto 0); 
             TxPulse         : out   std_logic; 
             statusIndicator : out   std_logic; 
             TxData          : out   std_logic_vector (7 downto 0); 
             readRam         : out   std_logic; 
             ramAddressCLK   : out   std_logic);
   end component;
   
begin
   XLXI_2 : RS232_Interface
      port map (clk=>SysClk,
                rs232_dat_in(7 downto 0)=>xx(7 downto 0),
                rs232_rxd=>RxD,
                rs232_tra_en=>XLXN_15,
                rs232_dat_out(7 downto 0)=>XLXN_25(7 downto 0),
                rs232_rec_en=>CharReceived,
                rs232_txd=>TxD,
                rs232_txd_busy=>TransmitterBusy);
   
   XLXI_5 : GND
      port map (G=>XLXN_36);
   
   XLXI_7 : RamInterface
      port map (clk=>SysClk,
                clkNextValue=>key,
                dataIn(7 downto 0)=>ADCorDIGITALin(7 downto 0),
                ReadOrNSample=>RWram,
                Reset=>XLXN_36,
                dataOut(7 downto 0)=>xx(7 downto 0),
                ramAddress(16 downto 0)=>ramAddress(16 downto 0),
                ramNOE=>ramNOE,
                ramNWE=>ramNWE,
                ramData(7 downto 0)=>ramIOdata(7 downto 0));
   
   XLXI_9 : stateMachine
      port map (clk=>SysClk,
                RxData(7 downto 0)=>XLXN_25(7 downto 0),
                ramAddressCLK=>key,
                readRam=>RWram,
                statusIndicator=>StatusLED,
                TxData(7 downto 0)=>testLEDs(7 downto 0),
                TxPulse=>XLXN_15);
   
end BEHAVIORAL;


