VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL SysClk
        SIGNAL RxD
        SIGNAL TransmitterBusy
        SIGNAL TxD
        SIGNAL CharReceived
        SIGNAL XLXN_15
        SIGNAL RWram
        SIGNAL XLXN_25(7:0)
        SIGNAL ramIOdata(7:0)
        SIGNAL ramAddress(16:0)
        SIGNAL ramNWE
        SIGNAL ramNOE
        SIGNAL key
        SIGNAL XLXN_36
        SIGNAL StatusLED
        SIGNAL ADCorDIGITALin(7:0)
        SIGNAL xx(7:0)
        SIGNAL testLEDs(7:0)
        PORT Input SysClk
        PORT Input RxD
        PORT Output TransmitterBusy
        PORT Output TxD
        PORT Output CharReceived
        PORT BiDirectional ramIOdata(7:0)
        PORT Output ramAddress(16:0)
        PORT Output ramNWE
        PORT Output ramNOE
        PORT Output StatusLED
        PORT Input ADCorDIGITALin(7:0)
        PORT Output testLEDs(7:0)
        BEGIN BLOCKDEF RS232_Interface
            TIMESTAMP 2009 3 16 18 30 1
            RECTANGLE N 64 -256 512 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 512 -224 576 -224 
            LINE N 512 -160 576 -160 
            LINE N 512 -96 576 -96 
            RECTANGLE N 512 -44 576 -20 
            LINE N 512 -32 576 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -128 64 -96 
            LINE N 64 -64 64 -80 
            LINE N 88 -64 40 -64 
            LINE N 68 -32 60 -32 
            LINE N 76 -48 52 -48 
            LINE N 64 -64 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF RamInterface
            TIMESTAMP 2009 3 21 4 22 14
            RECTANGLE N 0 84 64 108 
            LINE N 64 96 0 96 
            RECTANGLE N 464 84 528 108 
            LINE N 464 96 528 96 
            LINE N 64 -288 0 -288 
            LINE N 64 -208 0 -208 
            LINE N 64 -128 0 -128 
            LINE N 64 -48 0 -48 
            LINE N 464 -288 528 -288 
            LINE N 464 -224 528 -224 
            RECTANGLE N 464 -172 528 -148 
            LINE N 464 -160 528 -160 
            RECTANGLE N 464 -44 528 -20 
            LINE N 464 -32 528 -32 
            RECTANGLE N 64 -320 464 128 
        END BLOCKDEF
        BEGIN BLOCKDEF stateMachine
            TIMESTAMP 2009 3 20 6 26 50
            LINE N 384 32 448 32 
            LINE N 384 96 448 96 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 384 -160 448 -160 
            LINE N 384 -96 448 -96 
            RECTANGLE N 384 -44 448 -20 
            LINE N 384 -32 448 -32 
            RECTANGLE N 64 -192 384 128 
        END BLOCKDEF
        BEGIN BLOCK XLXI_2 RS232_Interface
            PIN clk SysClk
            PIN rs232_rxd RxD
            PIN rs232_tra_en XLXN_15
            PIN rs232_dat_in(7:0) xx(7:0)
            PIN rs232_txd TxD
            PIN rs232_rec_en CharReceived
            PIN rs232_txd_busy TransmitterBusy
            PIN rs232_dat_out(7:0) XLXN_25(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_5 gnd
            PIN G XLXN_36
        END BLOCK
        BEGIN BLOCK XLXI_7 RamInterface
            PIN clk SysClk
            PIN clkNextValue key
            PIN ReadOrNSample RWram
            PIN Reset XLXN_36
            PIN dataIn(7:0) ADCorDIGITALin(7:0)
            PIN ramData(7:0) ramIOdata(7:0)
            PIN ramNWE ramNWE
            PIN ramNOE ramNOE
            PIN ramAddress(16:0) ramAddress(16:0)
            PIN dataOut(7:0) xx(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_9 stateMachine
            PIN clk SysClk
            PIN RxData(7:0) XLXN_25(7:0)
            PIN TxPulse XLXN_15
            PIN statusIndicator StatusLED
            PIN TxData(7:0) testLEDs(7:0)
            PIN readRam RWram
            PIN ramAddressCLK key
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH SysClk
            WIRE 144 208 224 208
            WIRE 224 208 224 512
            WIRE 224 512 224 1184
            WIRE 224 1184 512 1184
            WIRE 224 512 336 512
            WIRE 224 208 1280 208
            WIRE 1280 208 1280 448
            WIRE 1280 448 1296 448
        END BRANCH
        BEGIN BRANCH RxD
            WIRE 1072 80 1168 80
            WIRE 1168 80 1168 512
            WIRE 1168 512 1296 512
        END BRANCH
        BEGIN BRANCH TxD
            WIRE 1872 448 1888 448
            WIRE 1888 80 2000 80
            WIRE 1888 80 1888 448
        END BRANCH
        IOMARKER 2144 576 TransmitterBusy R0 28
        BEGIN BRANCH TransmitterBusy
            WIRE 1872 576 2144 576
        END BRANCH
        BEGIN BRANCH CharReceived
            WIRE 1872 512 1904 512
        END BRANCH
        IOMARKER 1904 512 CharReceived R0 28
        BEGIN INSTANCE XLXI_2 1296 672 R0
        END INSTANCE
        BEGIN BRANCH XLXN_15
            WIRE 784 512 992 512
            WIRE 992 512 992 576
            WIRE 992 576 1296 576
        END BRANCH
        IOMARKER 1072 80 RxD R180 28
        IOMARKER 2000 80 TxD R0 28
        BEGIN BRANCH RWram
            WIRE 256 864 256 1344
            WIRE 256 1344 512 1344
            WIRE 256 864 912 864
            WIRE 784 704 912 704
            WIRE 912 704 912 864
        END BRANCH
        BEGIN BRANCH XLXN_25(7:0)
            WIRE 320 640 336 640
            WIRE 320 640 320 912
            WIRE 320 912 1888 912
            WIRE 1872 640 1888 640
            WIRE 1888 640 1888 912
        END BRANCH
        BEGIN BRANCH ramIOdata(7:0)
            WIRE 1040 1440 1568 1440
        END BRANCH
        BEGIN BRANCH ramAddress(16:0)
            WIRE 1040 1312 1568 1312
        END BRANCH
        BEGIN BRANCH ramNWE
            WIRE 1040 1184 1568 1184
        END BRANCH
        BEGIN BRANCH ramNOE
            WIRE 1040 1248 1568 1248
        END BRANCH
        BEGIN BRANCH key
            WIRE 432 1024 784 1024
            WIRE 784 1024 800 1024
            WIRE 432 1024 432 1264
            WIRE 432 1264 512 1264
            WIRE 784 768 800 768
            WIRE 800 768 800 1024
        END BRANCH
        INSTANCE XLXI_5 256 1584 R0
        IOMARKER 1568 1184 ramNWE R0 28
        IOMARKER 1568 1248 ramNOE R0 28
        IOMARKER 1568 1312 ramAddress(16:0) R0 28
        IOMARKER 1568 1440 ramIOdata(7:0) R0 28
        BEGIN BRANCH XLXN_36
            WIRE 320 1424 512 1424
            WIRE 320 1424 320 1456
        END BRANCH
        BEGIN INSTANCE XLXI_7 512 1472 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_9 336 672 R0
        END INSTANCE
        BEGIN BRANCH StatusLED
            WIRE 784 576 800 576
            WIRE 800 288 880 288
            WIRE 800 288 800 576
        END BRANCH
        IOMARKER 880 288 StatusLED R0 28
        IOMARKER 144 208 SysClk R180 28
        BEGIN BRANCH ADCorDIGITALin(7:0)
            WIRE 416 1760 496 1760
            WIRE 496 1568 512 1568
            WIRE 496 1568 496 1760
        END BRANCH
        IOMARKER 416 1760 ADCorDIGITALin(7:0) R180 28
        RECTANGLE N 1540 1104 1872 1512 
        BEGIN DISPLAY 1596 1092 TEXT RAM-Connector
            FONT 24 "Arial"
        END DISPLAY
        BEGIN BRANCH xx(7:0)
            WIRE 1040 1568 1232 1568
            WIRE 1232 640 1296 640
            WIRE 1232 640 1232 1568
        END BRANCH
        BEGIN BRANCH testLEDs(7:0)
            WIRE 784 640 816 640
        END BRANCH
        IOMARKER 816 640 testLEDs(7:0) R0 28
    END SHEET
END SCHEMATIC
