--------------------------------------------------------------------------------
-- Company: 
-- Engineer:
--
-- Create Date:   18:16:51 03/20/2009
-- Design Name:   
-- Module Name:   C:/Xilinx/chProjects/chPollinRS232StateMachine/RamInterface_TB.vhd
-- Project Name:  chPollinSerialRamController
-- Target Device:  
-- Tool versions:  
-- Description:   
-- 
-- VHDL Test Bench Created by ISE for module: RamInterface
-- 
-- Dependencies:
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
--
-- Notes: 
-- This testbench has been automatically generated using types std_logic and
-- std_logic_vector for the ports of the unit under test.  Xilinx recommends
-- that these types always be used for the top-level I/O of a design in order
-- to guarantee that the testbench will bind correctly to the post-implementation 
-- simulation model.
--------------------------------------------------------------------------------
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.std_logic_unsigned.all;
USE ieee.numeric_std.ALL;
 
ENTITY RamInterface_TB IS
END RamInterface_TB;
 
ARCHITECTURE behavior OF RamInterface_TB IS 
 
    -- Component Declaration for the Unit Under Test (UUT)
 
    COMPONENT RamInterface
    PORT(
         ramAddress : OUT  std_logic_vector(16 downto 0);
         ramData : INOUT  std_logic_vector(7 downto 0);
         ramNWE : OUT  std_logic;
         ramNOE : OUT  std_logic;
         dataOut : OUT  std_logic_vector(7 downto 0);
         dataIn : IN  std_logic_vector(7 downto 0);
         clk : IN  std_logic;
         clkNextValue : IN  std_logic;
         ReadOrNSample : IN  std_logic;
         Reset : IN  std_logic
        );
    END COMPONENT;
    

   --Inputs
   signal dataIn : std_logic_vector(7 downto 0) := (others => '0');
   signal clk : std_logic := '0';
   signal clkNextValue : std_logic := '0';
   signal ReadOrNSample : std_logic := '0';
   signal Reset : std_logic := '0';

	--BiDirs
   signal ramData : std_logic_vector(7 downto 0);

 	--Outputs
   signal ramAddress : std_logic_vector(16 downto 0);
   signal ramNWE : std_logic;
   signal ramNOE : std_logic;
   signal dataOut : std_logic_vector(7 downto 0);

   -- Clock period definitions
   constant clk_period : time := 1us;
   constant clkNextValue_period : time := 1us;
 
BEGIN
 
	-- Instantiate the Unit Under Test (UUT)
   uut: RamInterface PORT MAP (
          ramAddress => ramAddress,
          ramData => ramData,
          ramNWE => ramNWE,
          ramNOE => ramNOE,
          dataOut => dataOut,
          dataIn => dataIn,
          clk => clk,
          clkNextValue => clkNextValue,
          ReadOrNSample => ReadOrNSample,
          Reset => Reset
        );

   -- Clock process definitions
   clk_process :process
   begin
		clk <= '0';
		wait for clk_period/2;
		clk <= '1';
		wait for clk_period/2;
   end process;
 
   -- Stimulus process
   stim_proc: process
   begin		

      wait for clk_period;

      -- insert stimulus here 
        Reset <= '0';
         dataIn <= x"AA";
			ramData <= x"BB"; 
			
			wait for 1us; 
         ReadOrNSample <= '1'; -- read data from ram
			wait for 1us; 
			clkNextValue <= '0';
			wait for 1us; 
			clkNextValue <= '1';
			wait for 1us; 
			clkNextValue <= '0';
			wait for 1us; 
			clkNextValue <= '1';
			wait for 1us; 
         ReadOrNSample <= '0'; -- autosample ram
			wait for 1us; 
			clkNextValue <= '0';
			wait for 1us; 
			clkNextValue <= '1';
			wait for 1us; 	
			clkNextValue <= '0';
			wait for 1us; 
			clkNextValue <= '1';
			wait for 1us; 		
			clkNextValue <= '0';
			wait for 1us; 
			clkNextValue <= '1';
			wait for 1us; 	
			clkNextValue <= '0';
			wait for 1us; 
			clkNextValue <= '1';
			wait for 1us; 		
			clkNextValue <= '0';
			wait for 1us; 
			clkNextValue <= '1';
			wait for 1us; 	
         ReadOrNSample <= '1'; -- read data from ram
			wait for 1us; 
			clkNextValue <= '0';
			wait for 1us; 
			clkNextValue <= '1';
			wait for 1us; 
			clkNextValue <= '0';
			wait for 1us; 
			clkNextValue <= '1';
			wait for 1us; 			
			clkNextValue <= '0';
			wait for 1us; 
			clkNextValue <= '1';
			wait for 1us; 
			clkNextValue <= '0';
			wait for 1us; 
			clkNextValue <= '1';
			wait for 1us; 			
			clkNextValue <= '0';
			wait for 1us; 
			clkNextValue <= '1';
			wait for 1us; 	
			ReadOrNSample <= '0'; -- autosample ram
			wait for 1us; 
			clkNextValue <= '0';
			wait for 1us; 
			clkNextValue <= '1';
			wait for 1us; 	
			clkNextValue <= '0';
			wait for 1us; 
			clkNextValue <= '1';
			wait for 1us; 		
			clkNextValue <= '0';
			wait for 1us; 
			clkNextValue <= '1';
			
      wait;
   end process;

END;