--------------------------------------------------------------------------------
-- Company: 
-- Engineer:
--
-- Create Date:   07:49:46 03/20/2009
-- Design Name:   
-- Module Name:   C:/Xilinx/chProjects/chPollinRS232StateMachine/stateMachine_TB.vhd
-- Project Name:  chPollinSerialRamController
-- Target Device:  
-- Tool versions:  
-- Description:   
-- 
-- VHDL Test Bench Created by ISE for module: stateMachine
-- 
-- Dependencies:
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
--
-- Notes: 
-- This testbench has been automatically generated using types std_logic and
-- std_logic_vector for the ports of the unit under test.  Xilinx recommends
-- that these types always be used for the top-level I/O of a design in order
-- to guarantee that the testbench will bind correctly to the post-implementation 
-- simulation model.
--------------------------------------------------------------------------------
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.std_logic_unsigned.all;
USE ieee.numeric_std.ALL;
 
ENTITY stateMachine_TB IS
END stateMachine_TB;
 
ARCHITECTURE behavior OF stateMachine_TB IS 
 
    -- Component Declaration for the Unit Under Test (UUT)
 
    COMPONENT stateMachine
    PORT(
         RxData : IN  std_logic_vector(7 downto 0);
         TxData : OUT  std_logic_vector(7 downto 0);
         TxPulse : OUT  std_logic;
         statusIndicator : OUT  std_logic;
         readRam : OUT  std_logic;
         ramAddressCLK : OUT  std_logic;
         clk : IN  std_logic
        );
    END COMPONENT;
    

   --Inputs
   signal RxData : std_logic_vector(7 downto 0) := (others => '0');
   signal clk : std_logic := '0';

 	--Outputs
   signal TxData : std_logic_vector(7 downto 0);
   signal TxPulse : std_logic;
   signal statusIndicator : std_logic;
   signal readRam : std_logic;
   signal ramAddressCLK : std_logic;

   -- Clock period definitions
   constant clk_period : time := 66ns;
 
BEGIN
 
	-- Instantiate the Unit Under Test (UUT)
   uut: stateMachine PORT MAP (
          RxData => RxData,
          TxData => TxData,
          TxPulse => TxPulse,
          statusIndicator => statusIndicator,
          readRam => readRam,
          ramAddressCLK => ramAddressCLK,
          clk => clk
        );

   -- Clock process definitions
   clk_process :process
   begin
		clk <= '0';
		wait for clk_period/2;
		clk <= '1';
		wait for clk_period/2;
   end process;
 

   -- Stimulus process
   stim_proc: process
   begin		
      -- hold reset state for 100ms.
      --wait for 100ms;	

      -- wait for clk_period*10;

      -- insert stimulus here 

		RxData <= "01100001"; -- 'a'=0x61
		wait for 1us;
		RxData <= "01110011"; -- 's'=0x73; zurck in den Startzustand
		wait for 1us;      

		RxData <= "01100001"; -- 'a'=0x61
		wait for 1us;
		RxData <= "01110011"; -- 's'=0x73; zurck in den Startzustand
		wait for 1us;     
		RxData <= "01100100";  -- 'd'=0x64 -- autosampling ins ram einschalten		
		wait for 10us;   
		RxData <= "01110011"; -- 's'=0x73; zurck in den Startzustand
		wait for 1us;   
      wait;
   end process;

END;
